module RubyRed
  module Commands
    module Diag
      # Displays a diagnostic message from the bot
      #
      # Examples:
      #   '!diag'
      #   RubyRed:'23ms to respond'

      extend Discordrb::Commands::CommandContainer
      command(:diag, description: 'Displays a diagnostic message from the bot') do |event|
        event << "#{((Time.now - event.timestamp) * 1000).to_i}ms to respond" # This is a literal ping time test
      end
    end
  end
end