module RubyRed
  module Commands
    module Ping
      # Displays a 'Pong!' after receiving a 'Ping!'
      #
      # Examples:
      #   "Ping!"
      #   RubyRed: "Pong!"

      extend Discordrb::Commands::CommandContainer
      command(:ping, description: 'Displays a Pong! after receiving a Ping!') do |event|
        'Pong!'
      end
      #def self.ping    # This is the old method, replaced with the one above.
      #  BOT.message(with_text: 'Ping!') do |event|
      #    event.respond 'Pong!'
      #  end
      #end
    end
  end
end