module RubyRed
  module Commands
    module Version

      ver_humanizer = 'I am current running '

      # Provides the version of code RubyRed is running on currently
      #
      # Examples:
      #   !rules
      #   'Rubyred: I am current running v0.1.3'

      extend Discordrb::Commands::CommandContainer

      command(:version, description: 'Provides the current running version of the codebase') do |event|
        "#{ver_humanizer}#{RubyRed::VERSION}"
      end

    end
  end
end