module RubyRed
  module Events
    module Lulz
      require 'yaml'
      require_relative 'lulz/lulz_helper'

      LULZ_YAML_FILE = 'lib/rubyred/events/lulz/lulz.yaml'
      lulz_data = YAML.load(File.open(LULZ_YAML_FILE))
      lulz_triggers = lulz_data["triggers"]
      lulz_responses = lulz_data["responses"]

      srand Time.now.to_i

      extend Discordrb::EventContainer
      BOT.message(contains: lulz_triggers, from: not!(["RubyRed", "RubyTest"])) do |event|

        if self.will_lul?
          event.send_message("#{lulz_responses.sample} #{event.author.username}")
        end
      end
    end
  end
end