require 'discordrb'

module RubyRed

  BOT = Discordrb::Commands::CommandBot.new(token: ENV['RUBYRED_TOKEN'],
                           client_id: ENV['RUBYRED_CLIENTID'],
                           prefix: '!',
                           advanced_functionality: false)

  Dir["#{File.dirname(__FILE__)}/rubyred/*.rb"].each {|file| require file}

  Discordrb::LOGGER = BOTLOG = RubyRed::Console.new

  Commands.include!

  BOTLOG.info "OAuth url: #{BOT.invite_url}+&permissions=0x00000C00"
  BOTLOG.info "Use ctrl+c to stop the bot."

  def self.run
    BOT.run
  end

end
